[apparmor] [PATCH] update utils/python-tools-setup.py to honor PYTHON_VERSIONS

John Johansen john.johansen at canonical.com
Sat Jun 30 16:36:39 UTC 2012


On 06/30/2012 06:35 AM, Jamie Strandboge wrote:
> On Fri, 2012-06-29 at 14:22 -0500, Jamie Strandboge wrote:
>> With the recent merge to update AppArmor to support python3, there
>> remains the issue of setting up the shebang in python scripts to use
>> PYTHON_VERSIONS if it is defined. This is important for aa-easyprof
>> since it installs a python module. Currently, it is possible that the
>> module is installed for python3, but the system defaults to python2, so
>> it can't find the module. Attached is a patch to python-tools-setup.py
>> to honor allow distributions to set PYTHON_VERSIONS in their build
>> environment and have everything work the way they expect..
>>
>> Note that aa-status is also written in python, but it doesn't use
>> python-tools-setup.py. This isn't a big problem though since it is a
>> standalone bi-lingual script.
>>
> 
> In thinking about this some more, I think it is better to use PYTHON
> instead of PYTHON_VERSIONS[0]. Attached is an updated patch.
> 
Acked-by: John Johansen <john.johansen at canonical.com>



More information about the AppArmor mailing list